Index: SPECS/pam.spec
===================================================================
--- SPECS.orig/pam.spec
+++ SPECS/pam.spec
@@ -11,7 +11,7 @@
 Summary: A security tool which provides authentication for applications
 Name: pam
 Version: 0.99.8.1
-Release: 6%{?dist}
+Release: 6%{?dist}.fa1
 # The library is BSD licensed with option to relicense as GPLv2+ - this option is redundant
 # as the BSD license allows that anyway. pam_timestamp and pam_console modules are GPLv2+,
 # pam_rhosts_auth module is BSD with advertising
@@ -181,6 +181,7 @@ strip $RPM_BUILD_ROOT%{_sbindir}/* ||:
 # Install man pages.
 install -m 644 %{SOURCE9} %{SOURCE10} $RPM_BUILD_ROOT%{_mandir}/man5/
 
+%ifnarch %{arm}
 # Make sure every module subdirectory gave us a module.  Yes, this is hackish.
 for dir in modules/pam_* ; do
 if [ -d ${dir} ] ; then
@@ -209,6 +210,7 @@ for module in $RPM_BUILD_ROOT/%{_lib}/se
 		exit 1
 	fi
 done
+%endif
 
 for phase in auth acct passwd session ; do
 	ln -sf pam_unix.so $RPM_BUILD_ROOT/%{_lib}/security/pam_unix_${phase}.so 
